Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Error with Install/remove software

  1. #1

    Default Error with Install/remove software

    Hi team OpenSUSE i need some help on this error i get when trying to open up software and install

    The following packages have not been found on the medium:
    %F

    I have looked at this and have made sure everything was good

    https://en.opensuse.org/SDB:System_upgrade

    it said nothing to do


    I have also looked at this page right here

    https://forums.opensuse.org/showthre...ftware-Manager

    And did
    Code:
    su - zypper patch
    also said nothing to do

    If somebody can help me with this issue be very great full thank you

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,768

    Default Re: Error with Install/remove software

    Unclear how you install?? if use the RPM command you must provide all the dependencies. So if it says XYZ is needed you must install XYZ before you can install the package. Note all possible dependencies are NOT provides by the default repos and you may need to search

    Give specific information on the things your trying to install and where you got them

  3. #3

    Default Re: Error with Install/remove software

    Quote Originally Posted by gogalthorp View Post
    Unclear how you install?? if use the RPM command you must provide all the dependencies. So if it says XYZ is needed you must install XYZ before you can install the package. Note all possible dependencies are NOT provides by the default repos and you may need to search

    Give specific information on the things your trying to install and where you got them

    NO gogalthorp

    you are misunderstanding the situation

    I'm trying to open up software and install Install/remove software from the Settings in xfce

    get this error

    The following packages have not been found on the medium:
    %F

  4. #4
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,768

    Default Re: Error with Install/remove software

    Did you remove the install media from the repo list??

    Show repos

    zypper lr -d

  5. #5

    Default Re: Error with Install/remove software

    Code:
    #  | Alias                               | Name                                    | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                          | Service---+-------------------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+------------------------------------------------------------------------------+--------
     1 | download.nvidia.com-leap            | nVidia Graphics Drivers                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/leap/42.1                                |        
     2 | ftp.gwdg.de-suse                    | Packman Repository                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_Leap_42.1/                |        
     3 | google-chrome                       | google-chrome                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                          |        
     4 | http-download.opensuse.org-94f1b821 | home:breed808                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/breed808/openSUSE_Leap_42.1/ |        
     5 | http-download.opensuse.org-9d444c70 | home:gottcode                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/gottcode/openSUSE_Leap_42.1/ |        
     6 | repo-debug                          | openSUSE-Leap-42.1-Debug                | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/debug/distribution/leap/42.1/repo/oss/          |        
     7 | repo-debug-non-oss                  | openSUSE-Leap-42.1-Debug-Non-Oss        | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/non-oss/      |        
     8 | repo-debug-update                   | openSUSE-Leap-42.1-Update-Debug         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/42.1/oss                      |        
     9 | repo-debug-update-non-oss           | openSUSE-Leap-42.1-Update-Debug-Non-Oss | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/non-oss/                 |        
    10 | repo-non-oss                        | openSUSE-Leap-42.1-Non-Oss              | No      | ----      | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/            |        
    11 | repo-oss                            | openSUSE-Leap-42.1-Oss                  | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                |        
    12 | repo-source                         | openSUSE-Leap-42.1-Source               | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/         |        
    13 | repo-update                         | openSUSE-Leap-42.1-Update               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/                           |        
    14 | repo-update-non-oss                 | openSUSE-Leap-42.1-Update-Non-Oss       | No      | ----      | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/                       |

  6. #6
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,768

    Default Re: Error with Install/remove software

    Looks OK. I'd suggest using yast or zypper to install. Don't know xfce maybe the tool there is broken?

  7. #7

    Default Re: Error with Install/remove software

    Quote Originally Posted by gogalthorp View Post
    Don't know xfce maybe the tool there is broken?
    That "tool there" *is* YaST.

    It rather seems that XFCE is "broken"...

    The "Install/remove software" menu entry contains:
    Code:
    Exec=xdg-su -c "/sbin/yast2 sw_single %F"
    The %F should be expanded by the desktop or file manager and replaced by the list of currently selected files.
    This allows to install .rpm packages by "opening" them.

    See https://specifications.freedesktop.o...t/ar01s06.html

    Apparently XFCE literally passes the %F though, hence the error message (there indeed is no package named "%F"...).

    A workaround would be to copy /usr/share/applications/yast2-packager.desktop to /usr/local/share/applications/ or ~/.local/share/applications and remove that %F with a text editor (or do that with a menu editor, I don't know if XFCE has one though).
    This would also break the possibility to install rpms via the file manager though.

  8. #8

    Default Re: Error with Install/remove software

    So how can if be fixed? I'm i able to change that to where it needs to be found

  9. #9
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,768

    Default Re: Error with Install/remove software

    Seems it is a bug. just run Yast - software management or use zypper to install. Maybe report bug in bugzilla

  10. #10

    Default Re: Error with Install/remove software

    opeenSUSE needs to fix it. That's what i have been using is YaST. Thank you for your help.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •